### Hierarchy

- AtomLoader

## Index

### Properties

- id

### Methods

- load
- loadView

## Properties

### Static id

id: number = 1

- Defined in src/core/AtomLoader.ts:11

## Methods

### Static load

- load<T>(url: AtomUri, app: App): Promise<T>

- - Defined in src/core/AtomLoader.ts:13

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: AtomUri

  - ##### app: App

  #### Returns Promise<T>

### Static loadView

- loadView<T>(url: AtomUri, app: App, hookCloseEvents: boolean, vmFactory?: function): Promise<object>

- - Defined in src/core/AtomLoader.ts:36

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### url: AtomUri

  - ##### app: App

  - ##### hookCloseEvents: boolean

  - ##### Optional vmFactory: function

    - - (): any

      - #### Returns any

  #### Returns Promise<object>

Generated using TypeDoc